Wallets

Delete Wallet

delete

Deletes a specific wallet within a wallet group.

Path parameters
group_idstringRequired

Wallet Group ID

wallet_idstringRequired

Wallet ID

Responses
chevron-right
200

OK

No content

delete
/wallets/{group_id}/{wallet_id}

No content

Delete Wallet Group

delete

Deletes a wallet group by its ID.

Path parameters
group_idstringRequired

Wallet Group ID

Responses
chevron-right
200

OK

No content

delete
/wallets/{group_id}

No content

Create Wallet

post

Creates a new wallet within a specified wallet group.

Body
chainstringOptional
group_idstringOptional
private_keystringOptional
wallet_idstringOptional
Responses
post
/wallets/

No content

Rename Wallet

patch

Renames a specific wallet within a wallet group.

Path parameters
group_idstringRequired

Wallet Group ID

wallet_idstringRequired

Wallet ID

Body
new_namestringOptional
Responses
chevron-right
200

OK

No content

patch
/wallets/{group_id}/{wallet_id}

No content

Upgrade Wallet

post

Upgrades a wallet

Path parameters
wallet_idstringRequired

Wallet ID

Responses
chevron-right
200

OK

No content

post
/wallets/{wallet_id}/upgrade

No content

Get Wallet Balance

get

Retrieves the balance of a specific wallet.

Path parameters
wallet_idstringRequired

Wallet ID

Query parameters
token_addressstringOptional

Token Address

Responses
chevron-right
200

OK

application/json
amountstringOptional
get
/wallets/{wallet_id}/balance

Rename Wallet Group

patch

Renames a wallet group.

Path parameters
group_idstringRequired

Wallet Group ID

Body
new_namestringOptional
Responses
chevron-right
200

OK

No content

patch
/wallets/{group_id}

No content

Collect Wallet Balance

post

Collects balance from multiple wallets to one wallet.

Body
amountstringOptional
from_wallet_idsstring[]Optional
to_wallet_idstringOptional
tokenstringOptional
Responses
chevron-right
200

OK

No content

post
/wallets/collect

No content

Disperse Wallet Balance

post

Disperses balance from one wallet to multiple wallets.

Body
amountstringOptional
from_wallet_idstringOptional
to_wallet_idsstring[]Optional
tokenstringOptional
Responses
chevron-right
200

OK

No content

post
/wallets/disperse

No content

Get All Wallet Groups

get

Retrieves all wallet groups and their associated wallets.

Responses
chevron-right
200

OK

application/json
get
/wallets/

Last updated